import {select} from 'd3';
import {arc} from 'd3';

const svg = select('svg');


const height = +svg.attr('height');
const width = +svg.attr('width');

const circle = svg.append('circle')
	.attr('r', 225)
	.attr('cx', width/2)
	.attr('cy', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeHeight = 50;
const leftEye = svg.append('circle')
	.attr('r', 25)
	.attr('cx', width/2 - eyeSpacing)
	.attr('cy', height/2 - eyeHeight)
	.attr('fill', 'black');

const rightEye = svg.append('circle')
	.attr('r', 25)
	.attr('cx', width/2 + eyeSpacing)
	.attr('cy', height/2 - eyeHeight)
	.attr('fill', 'black');
 
const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);
        
const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius:130,
    outerRadius:150,
    startAngle:Math.PI / 2,
    endAngle: Math.PI * 3/2
  }));